SoTriggerAny(3)

NAME
SoTriggerAny - The SoTriggerAny class is a fan-in engine for triggers.

SYNOPSIS

#include <Inventor/engines/SoTriggerAny.h>

Inherits SoEngine.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual const SoFieldData * getFieldData (void) const
virtual const SoEngineOutputData * getOutputData (void) const
SoTriggerAny (void)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFTrigger input0
SoSFTrigger input1
SoSFTrigger input2
SoSFTrigger input3
SoSFTrigger input4
SoSFTrigger input5
SoSFTrigger input6
SoSFTrigger input7
SoSFTrigger input8
SoSFTrigger input9
SoEngineOutput output

  Protected Member Functions
virtual ~SoTriggerAny (void)

  Static Protected Member Functions
static const SoFieldData ** getInputDataPtr (void)
static const SoEngineOutputData ** getOutputDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoTriggerAny class is a fan-in engine for triggers. When any one of the input triggers are 'pulsed', any field connected as a slave to the engine output will be notified.

Constructor & Destructor Documentation

  SoTriggerAny::SoTriggerAny (void)
Default constructor.

  SoTriggerAny::~SoTriggerAny (void) [protected], [virtual]
Destructor is protected because explicit destruction of engines is not allowed.

Member Function Documentation

  SoType SoTriggerAny::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTriggerAny::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoTriggerAny::getInputDataPtr (void) [static], [protected]
Returns the SoFieldData class which holds information about inputs in this engine.

  const SoEngineOutputData ** SoTriggerAny::getOutputDataPtr (void) [static], [protected]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

  const SoFieldData * SoTriggerAny::getFieldData (void) const [virtual]
Returns the SoFieldData class which holds information about inputs in this engine.

Reimplemented from SoFieldContainer.

  const SoEngineOutputData * SoTriggerAny::getOutputData (void) const [virtual]
Returns the SoEngineOutputData class which holds information about the outputs in this engine.

Implements SoEngine.

  void * SoTriggerAny::createInstance (void) [static]
Creates a new instance of the class type corresponding to the SoType object.

Member Data Documentation

  SoSFTrigger SoTriggerAny::input0
Input trigger.

  SoSFTrigger SoTriggerAny::input1
Input trigger.

  SoSFTrigger SoTriggerAny::input2
Input trigger.

  SoSFTrigger SoTriggerAny::input3
Input trigger.

  SoSFTrigger SoTriggerAny::input4
Input trigger.

  SoSFTrigger SoTriggerAny::input5
Input trigger.

  SoSFTrigger SoTriggerAny::input6
Input trigger.

  SoSFTrigger SoTriggerAny::input7
Input trigger.

  SoSFTrigger SoTriggerAny::input8
Input trigger.

  SoSFTrigger SoTriggerAny::input9
Input trigger.

  SoEngineOutput SoTriggerAny::output
(SoSFTrigger) Connect to the output with the field(s) you want notified upon any input trigger 'pulses'.

Author

Generated automatically by Doxygen for Coin from the source code.